<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.tool.SzDateHelp" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.mail.*" %>
<%@ include file="/sessionInfo.jsp"%>
<% 
  String strLevel = "../../"; 
%> 
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sType = SzConvert.toZeroStr(request.getParameter("type"));
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));
    String sPKEY = SzConvert.toZeroStr(request.getParameter("PKEY"));
    String sTable_type = "SZKC_CPFL";
%>
<%
    SzData szData = null;
    SzDataInfo szDataInfo = null;

    String sOPERATOR = request.getParameter("OPERATOR");
    String sKEY =  SzConvert.toZeroStr(request.getParameter("KEY"));
    String sReadonly = "";
    boolean bReadonly = false;
    if (sOPERATOR.equals("detail")) {
        sReadonly = "readonly";
        bReadonly = true;
    }
    //读取数据
    YjForeignInfo yjForeignInfo = null;
    YjForeign yjForeign = new YjForeign();
    if (!sKEY.equals("0")) {
        yjForeignInfo = (YjForeignInfo)yjForeign.getInfoByKey(Integer.parseInt(sKEY));
    }
    if (yjForeignInfo == null) {
        yjForeignInfo = new YjForeignInfo();
        if (sType.equals("0")) {
        	yjForeignInfo.setWBDLID(0);
        } else {
        	yjForeignInfo.setWBDLID(iDLID_SESSION);
        }
    } else {
    }

%>

<body>
<!-----上面的工具栏------>
<form name="formUpdate" method="post">
  <input type="hidden" name="PKEY" value="<%=sPKEY%>">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="OPERATOR" value="<%=sOPERATOR%>">
  <input type="hidden" name="KEY" value="<%=sKEY%>">
  <input type="hidden" name="WBID" value="<%=yjForeignInfo.getWBID()%>">
  <input type="hidden" name="WBDLID" value="<%=yjForeignInfo.getWBDLID()%>" >
  <input type="hidden" name="type" value="<%=sType%>">
<%@ include file="/share/title.jsp"%>
<table width="100%">
  <tr>
    <td>
    <% if (!bReadonly) { %>
      <%=SzPageHelp.saveButton()%>
    <% } %>
      <%=SzPageHelp.backButton()%>
    </td>
  </tr>
</table>

<!-----信息维护------>
<table width="650" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="3" cellspacing="0">
  <tr>
    <td class="tdClassTitle">邮件帐号</td>
    <td><input type="text" name="WBZH" class="txtClass2" value="<%=yjForeignInfo.getWBZH()%>" <%=sReadonly%> ></td>
  </tr>
  <tr>
    <td class="tdClassTitle">邮件密码</td>
    <td><input type="password" name="WBMM" class="txtClass2" value="" <%=sReadonly%> >
          <input type="hidden" name="WBMM_OLD" class="txtClass2" value="<%=yjForeignInfo.getWBMM()%>" <%=sReadonly%> >
    </td>
  </tr>
</table>
注：<br>
这个邮件提醒帐号由管理员设置，是系统用来发送邮件提醒<br>
邮件帐号需要填写完整，如：992870613@qq.com<br>
邮件提醒包括系统到期提醒、待办提醒<br>
个人接收提醒的邮箱在"个人中心--个人设置--个人基本信息--电子邮箱"中设置


</form>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
  <input type="hidden" name="page" value="<%=sPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <input type="hidden" name="type" value="<%=sType%>">
</form>
<script language="javascript" src="../../share/js/commonTool.js"></script>
<script language="javascript">

  function FormSave(formName, url) {
    //检查是否可以保存
    if (!notSpace(formName.WBZH, "邮件帐号")) {
      return false;
    }
    if (formName.WBMM_OLD.value == "" && !notSpace(formName.WBMM, "邮件密码")) {
      return false;
    }

    formName.action = url;
    formName.submit();
  }
</script>
</body>
